r48915 - in /trunk/eekboek: debian/TODO debian/changelog debian/postinst debian/postrm debian/preinst debian/prerm eekboek.desktop

joostvb at users.alioth.debian.org joostvb at users.alioth.debian.org
Thu Dec 17 22:25:48 UTC 2009


Author: joostvb
Date: Thu Dec 17 22:25:43 2009
New Revision: 48915

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=48915
Log:
add maintainer scripts.  this package kinda works on a sid system: last urgent TODO-item gone. patched eekboek.desktop, thanks Paul

Added:
    trunk/eekboek/debian/postinst   (with props)
    trunk/eekboek/debian/postrm   (with props)
    trunk/eekboek/debian/preinst   (with props)
    trunk/eekboek/debian/prerm   (with props)
Modified:
    trunk/eekboek/debian/TODO
    trunk/eekboek/debian/changelog
    trunk/eekboek/eekboek.desktop

Modified: trunk/eekboek/debian/TODO
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/eekboek/debian/TODO?rev=48915&op=diff
==============================================================================
--- trunk/eekboek/debian/TODO (original)
+++ trunk/eekboek/debian/TODO Thu Dec 17 22:25:43 2009
@@ -12,7 +12,7 @@
       zip -r ../schema/sampledb.ebz schema.dat *.eb
     Bedankt,
     -- Johan
-  - stick the lib/EB/DB/Sqlite.pm patch in a sane
+  - stick the lib/EB/DB/Sqlite.pm and eekboek.desktop patch in a sane
     patch system
   - d/copyright: 2005-2009, Squirrel Consultancy
     (to be honest, I haven't check all the other modules)
@@ -41,7 +41,8 @@
      non-.pm bestanden op andere plaatsen.
 
      -- Johan
-
+    Once this is fixed, the eekboek.desktop patch will likely no
+    longer be necessary.
   - fix ebshell and ebgui manpage: "For a description how to use the
     program, see <http://www.eekboek.nl/docs/index.html>." should
     refer to /u/s/d/eekboek/html instead.

Modified: trunk/eekboek/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/eekboek/debian/changelog?rev=48915&op=diff
==============================================================================
--- trunk/eekboek/debian/changelog (original)
+++ trunk/eekboek/debian/changelog Thu Dec 17 22:25:43 2009
@@ -1,17 +1,15 @@
 eekboek (1.05.04-3) UNRELEASED; urgency=low
-
-  TODO:
-  - ebgui needs Wx.pm, see
-    http://wiki.eekboek.nl/mediawiki/index.php?title=Eekboek_met_GUI_installeren_onder_Debian
-    as of 2009-12-13, libwx-perl is avaible for sid only (not squeeze).
-    It's uninstallable on squeeze: need to manually backport stuff.
-    Test situation on current (2009-12) sid system: install virbalas.
 
   * FIXME
 
   [ Joost van Baal ]
   * debian/README.Debian: add thanks-section, add note on rationale for
     the EekBoek GUI.
+  * debian/{post,pre}{inst,rm}: added maintainer scripts with debhelper
+    template.  We expect debhelper to run stuff for us (not now, but
+    likely in a future release.)
+  * eekboek.desktop: patched so that icon gets found. Thanks Paul van
+    der Vlis for bugreport with patch.
 
  -- Joost van Baal <joostvb at debian.org>  Thu, 17 Dec 2009 08:49:58 +0100
 

Added: trunk/eekboek/debian/postinst
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/eekboek/debian/postinst?rev=48915&op=file
==============================================================================
--- trunk/eekboek/debian/postinst (added)
+++ trunk/eekboek/debian/postinst Thu Dec 17 22:25:43 2009
@@ -1,0 +1,39 @@
+#!/bin/sh
+# $Id$
+# $URL$
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Propchange: trunk/eekboek/debian/postinst
------------------------------------------------------------------------------
    svn:keywords = Id URL Author Date Rev

Added: trunk/eekboek/debian/postrm
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/eekboek/debian/postrm?rev=48915&op=file
==============================================================================
--- trunk/eekboek/debian/postrm (added)
+++ trunk/eekboek/debian/postrm Thu Dec 17 22:25:43 2009
@@ -1,0 +1,37 @@
+#!/bin/sh
+# $Id$
+# $URL$
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Propchange: trunk/eekboek/debian/postrm
------------------------------------------------------------------------------
    svn:keywords = Id URL Author Date Rev

Added: trunk/eekboek/debian/preinst
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/eekboek/debian/preinst?rev=48915&op=file
==============================================================================
--- trunk/eekboek/debian/preinst (added)
+++ trunk/eekboek/debian/preinst Thu Dec 17 22:25:43 2009
@@ -1,0 +1,35 @@
+#!/bin/sh
+# $Id$
+# $URL$
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Propchange: trunk/eekboek/debian/preinst
------------------------------------------------------------------------------
    svn:keywords = Id URL Author Date Rev

Added: trunk/eekboek/debian/prerm
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/eekboek/debian/prerm?rev=48915&op=file
==============================================================================
--- trunk/eekboek/debian/prerm (added)
+++ trunk/eekboek/debian/prerm Thu Dec 17 22:25:43 2009
@@ -1,0 +1,38 @@
+#!/bin/sh
+# $Id$
+# $URL$
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Propchange: trunk/eekboek/debian/prerm
------------------------------------------------------------------------------
    svn:keywords = Id URL Author Date Rev

Modified: trunk/eekboek/eekboek.desktop
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/eekboek/eekboek.desktop?rev=48915&op=diff
==============================================================================
--- trunk/eekboek/eekboek.desktop (original)
+++ trunk/eekboek/eekboek.desktop Thu Dec 17 22:25:43 2009
@@ -2,7 +2,7 @@
 Version=1.0
 Type=Application
 Exec=ebgui --admdir=.eekboek/admdir
-Icon=ebicon
+Icon=/usr/share/perl5/EB/Wx/icons/ebicon.png
 StartupNotify=true
 Terminal=false
 Categories=Office;Finance;GTK




More information about the Pkg-perl-cvs-commits mailing list